2 serious errors since I upgraded this morning to 3.8.8-7+squeeze3

Hi,

Since my distrib has published the security patch for 3.8.8, I decided to apply it this morning.

Since then, I have the following error :

in rt.log :

[Mon Jun 4 14:32:43 2012] [crit]: Apache2::RequestIO::rflush: (103) Software caused connection abort at /usr/share/perl5/HTML/Mason/ApacheHandler.pm line 1026 (/usr/share/request-tracker3.8/libexec/webmux.pl:92)

in exim (mailer) mainlog :

2012-06-04 17:08:46 1SbYti-0007sf-Dg == |/usr/bin/rt-mailgate --queue support-test --action correspond --url https://example.org/ support-test@example.org R=system_aliases T=address_pipe defer (0): Child process of address_pipe transport returned 75 (could mean temporary error) from command: /usr/bin/rt-mailgate

I can take existanig tickets, for example, but when trying to send an email to create a new ticket, I have this error message.

dpkg -l |grep request

http requests
ii request-tracker3.8 3.8.8-7+squeeze3 extensible trouble-ticket tracking system
ii rt3.8-apache2 3.8.8-7+squeeze3 Apache 2 specific files for request-tracker3.8
ii rt3.8-clients 3.8.8-7+squeeze3 mail gateway and command-line interface to request-tracker3.8
ii rt3.8-db-mysql 3.8.8-7+squeeze3 MySQL database backend for request-tracker3.8
rc rt3.8-db-sqlite 3.8.8-6 SQLite database backend for request-tracker3.8

dpkg -l |grep apach

ii apache2 2.2.16-6+squeeze7 Apache HTTP Server metapackage
ii apache2-mpm-worker 2.2.16-6+squeeze7 Apache HTTP Server - high speed threaded model
ii apache2-utils 2.2.16-6+squeeze7 utility programs for webservers
ii apache2.2-bin 2.2.16-6+squeeze7 Apache HTTP Server common binary files
ii apache2.2-common 2.2.16-6+squeeze7 Apache HTTP Server common files
ii libapache-dbi-perl 1.08-1 Connect apache server to database via perl’s DBI
ii libapache-session-perl 1.87-1 Perl modules for keeping persistent user data across http requests
ii libapache2-mod-perl2 2.0.4-7 Integration of perl with the Apache2 web server
ii libapache2-reload-perl 0.10-2 Reload Perl modules when changed on disk
ii rt3.8-apache2 3.8.8-7+squeeze3 Apache 2 specific files for request-tracker3.8

I don’t know where to search, and more important, where to correct…

Thanks in advance for your help

Nicolas GUIOT

Hi,

Since my distrib has published the security patch for 3.8.8, I decided to apply it this morning.

Since then, I have the following error :

in rt.log :

[Mon Jun 4 14:32:43 2012] [crit]: Apache2::RequestIO::rflush: (103) Software caused connection abort at /usr/share/perl5/HTML/Mason/ApacheHandler.pm line 1026 (/usr/share/request-tracker3.8/libexec/webmux.pl:92)

This is

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674924

You can either grab the test packages mentioned in that bugreport,
or downgrade to squeeze1 (not squeeze2) and wait for the erratum
DSA.

Cheers,
Dominic.

Dominic Hargreaves, Systems Development and Support Team
Computing Services, University of Oxford

signature.asc (198 Bytes)